<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Admin\Repository;

use Admin\Entity\System;
use Doctrine\ORM\EntityRepository;

class SystemRepository extends EntityRepository
{
    public function findBaseSystem()
    {
        $query = $this->getEntityManager()->createQueryBuilder();
        $query->select('s')
            ->from(System::class, 's')
            ->where($query->expr()->notIn('s.sysType', ['upload', 'customer']))
            ->orderBy('s.sysId', 'ASC');

        return $query->getQuery()->getResult();
    }
}